Subject: Re: approximated popcon? (was Re: GCD005: Regular and efficient releases)

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 18 Jun 2025 16:01:50 +0900

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Hi,
>
>> As we don't have popcon I don't know what's popular with users
>
> Once I heard a Debian Developer says: the aim of popcon isn’t to take
> less care of unpopular packages but the contrary.  It allows to know
> that this package in appearance useless and/or outdated is still used by
> one user so it’s a motivation to still maintain its availability.
>
> Although hard when the resource is constrained, I like the
> reasoning. :-)
>
> Aside, maybe we could have a rough idea of some popular packages by
> looking at the queries in the substitutes cache.
>
> Guix sysadmin, is it doable?

I suppose it could be done by processing the nginx access logs.

-- 
Thanks,
Maxim